LogoopenSUSE Build Service > Projects
Sign Up | Log In

View File quassel-set-required-libs-and-flags.patch of Package quassel (Project home:alarrosa:branches:nowebkit)

diff --git a/CMakeLists.txt b/CMakeLists.txt
index 2c29af4..c3a7992 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -427,6 +427,8 @@ endif()
 # a small test program checking the defines. This works for both Qt4 and Qt5.
 cmake_push_check_state(RESET)
 set(CMAKE_REQUIRED_INCLUDES ${QT_INCLUDES} ${Qt5Core_INCLUDE_DIRS})
+set(CMAKE_REQUIRED_FLAGS ${Qt5Core_EXECUTABLE_COMPILE_FLAGS})
+set(CMAKE_REQUIRED_LIBRARIES ${Qt5Core_LIBRARIES})
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${Qt5Core_EXECUTABLE_COMPILE_FLAGS}")
 check_cxx_source_compiles("
     #include \"qglobal.h\"